org.eclipse.draw2d

## Interface PositionConstants

All Known Subinterfaces:
  Orientable

All Known Implementing Classes:
  ArrowButton, Label, PuristicScrollPane.PuristicScrollBar, ScrollBar, Triangle

    public interface PositionConstants

Constants representing cardinal directions and relative positions. Some of these constants can be grouped as follows:

LEFT, CENTER, RIGHT | Used to describe horizontal position.
TOP, MIDDLE, BOTTOM | Used to describe vertical position.
NORTH, SOUTH, EAST, WEST | Used to describe the four positions relative to an object's center point. May also be used when describing which direction an object is facing. NOTE: If you have a use for all four of these possibilities, do not use TOP, BOTTOM, RIGHT, LEFT in place of NORTH, SOUTH, EAST, WEST.

### Field Summary

Fields
`static int` `ALWAYS_LEFT` Used to signify left alignment regardless of orientation (i.e., LTR or RTL)
`static int` `ALWAYS_RIGHT` Used to signify right alignment regardless of orientation (i.e., LTR or RTL)
`static int` `BOTTOM` Bottom
`static int` `CENTER` Center (Horizontal)
`static int` `EAST` East
`static int` `EAST_WEST` East-West: a bit-wise OR of `EAST` and `WEST`
`static int` `HORIZONTAL` A constant indicating horizontal direction
`static int` `LEFT` Left
`static int` `LEFT_CENTER_RIGHT` Bit-wise OR of LEFT, CENTER, and RIGHT
`static int` `MIDDLE` Middle (Vertical)
`static int` `NONE` None
`static int` `NORTH` North
`static int` `NORTH_EAST` North-East: a bit-wise OR of `NORTH` and `EAST`
`static int` `NORTH_SOUTH` North-South: a bit-wise OR of `NORTH` and `SOUTH`
`static int` `NORTH_WEST` North-West: a bit-wise OR of `NORTH` and `WEST`
`static int` `NSEW` North-South-East-West: a bit-wise OR of all 4 directions.
`static int` `RIGHT` Right
`static int` `SOUTH` South
`static int` `SOUTH_EAST` South-East: a bit-wise OR of `SOUTH` and `EAST`
`static int` `SOUTH_WEST` South-West: a bit-wise OR of `SOUTH` and `WEST`
`static int` `TOP` Top
`static int` `TOP_MIDDLE_BOTTOM` Bit-wise OR of TOP, MIDDLE, and BOTTOM
`static int` `VERTICAL` A constant indicating vertical direction
`static int` `WEST` West

### Field Detail

#### NONE

    static final int NONE

None

See Also:
  Constant Field Values

#### LEFT

    static final int LEFT

Left

See Also:
  Constant Field Values

#### CENTER

    static final int CENTER

Center (Horizontal)

See Also:
  Constant Field Values

#### RIGHT

    static final int RIGHT

Right

See Also:
  Constant Field Values

#### LEFT_CENTER_RIGHT

    static final int LEFT_CENTER_RIGHT

Bit-wise OR of LEFT, CENTER, and RIGHT

See Also:
  Constant Field Values

#### ALWAYS_LEFT

    static final int ALWAYS_LEFT

Used to signify left alignment regardless of orientation (i.e., LTR or RTL)

See Also:
  Constant Field Values

#### ALWAYS_RIGHT

    static final int ALWAYS_RIGHT

Used to signify right alignment regardless of orientation (i.e., LTR or RTL)

See Also:
  Constant Field Values

#### TOP

    static final int TOP

Top

See Also:
  Constant Field Values

#### MIDDLE

    static final int MIDDLE

Middle (Vertical)

See Also:
  Constant Field Values

#### BOTTOM

    static final int BOTTOM

Bottom

See Also:
  Constant Field Values

#### TOP_MIDDLE_BOTTOM

    static final int TOP_MIDDLE_BOTTOM

Bit-wise OR of TOP, MIDDLE, and BOTTOM

See Also:
  Constant Field Values

#### NORTH

    static final int NORTH

North

See Also:
  Constant Field Values

#### SOUTH

    static final int SOUTH

South

See Also:
  Constant Field Values

#### WEST

    static final int WEST

West

See Also:
  Constant Field Values

#### EAST

    static final int EAST

East

See Also:
  Constant Field Values

#### HORIZONTAL

    static final int HORIZONTAL

A constant indicating horizontal direction

See Also:
  Constant Field Values

#### VERTICAL

    static final int VERTICAL

A constant indicating vertical direction

See Also:
  Constant Field Values

#### NORTH_EAST

    static final int NORTH_EAST

North-East: a bit-wise OR of `NORTH` and `EAST`

See Also:
  Constant Field Values

#### NORTH_WEST

    static final int NORTH_WEST

North-West: a bit-wise OR of `NORTH` and `WEST`

See Also:
  Constant Field Values

#### SOUTH_EAST

    static final int SOUTH_EAST

South-East: a bit-wise OR of `SOUTH` and `EAST`

See Also:
  Constant Field Values

#### SOUTH_WEST

    static final int SOUTH_WEST

South-West: a bit-wise OR of `SOUTH` and `WEST`

See Also:
  Constant Field Values

#### NORTH_SOUTH

    static final int NORTH_SOUTH

North-South: a bit-wise OR of `NORTH` and `SOUTH`

See Also:
  Constant Field Values

#### EAST_WEST

    static final int EAST_WEST

East-West: a bit-wise OR of `EAST` and `WEST`

See Also:
  Constant Field Values

#### NSEW

    static final int NSEW

North-South-East-West: a bit-wise OR of all 4 directions.

See Also:
  Constant Field Values